Subject: bug#39248: format-time-string ignores user's preferred locale

From: Glenn Morris <[email-masked]>
Date: Thu, 23 Jan 2020 17:04:59 -0500

Eli Zaretskii wrote:

>> Or, given that the issue is isolated to Emacs.app when launched
>> outside of the shell environment, does that narrow it down at all?
>
> I guess that's yet another manifestation of the macOS deviant behavior
> of Emacs.app, whereby it doesn't inherit environment variables from
> the shell.

Rather, that macOS does not set up environment for applications
launched from Finder. I don't think that is an Emacs problem.

On GNU/Linux, my window manager runss from a login shell and so has a
correct environment for applications it launches.